Debian 9821 Published by

A hsqldb1.8.0 security update has been released for Debian GNU/Linux 9 Extended LTS to address an issue that allowed the execution of spurious scripting commands in .script and .log files.



ELA-876-1 hsqldb1.8.0 security update

Package : hsqldb1.8.0
Version : 1.8.0.10+dfsg-7+deb9u1 (stretch)

Related CVEs :
CVE-2023-1183

Gregor Kopf of Secfault Security GmbH discovered that HSQLDB, a Java SQL
database engine, allowed the execution of spurious scripting commands in
.script and .log files. Hsqldb supports a “SCRIPT” keyword which is normally
used to record the commands input by the database admin to output such a
script. In combination with LibreOffice, an attacker could craft an odb
containing a “database/script” file which itself contained a SCRIPT command
where the contents of the file could be written to a new file whose location was
determined by the attacker.

ELA-876-1 hsqldb1.8.0 security update